Subject: bug#23529: Request for fixing randomize_va_space build issues

From: Philippe Vaucher <[email-masked]>
Date: Tue, 6 Sep 2016 20:24:19 +0200

>> I doubt many end-users are aware of this feature, let alone use it.
>
> Rarely used is not the same as useless and unneeded.  Whenever you
> remove a feature, expect someone to come up with complaints about
> regressions.

You got me curious, can you explain a bit why it is useful? I always
thought the reason was about speed, something historical that was
needed "back then".

AFAIK, nowadays most people that care about speed use autoloads or
use-package and get under 2-3s of load-time. Don't get me wrong I
understand that dumping emacs is much faster (< 1s load time), but the
cost of having to re-dump each time you add a package makes it not
very practical.

Maybe one of the advantage is when you want to carry your customized
emacs as one file on some USB key?